ANARC05H  Chop Ahoy! Revisited!
Given a nonempty string composed of digits only, we may group these digits into subgroups (but maintaining their original order) if, for every subgroup but the last one, the sum of the digits in a subgroup is less than or equal to the sum of the digits in the subgroup immediately on its right. Needless to say, each digit will be in exactly one subgroup.
For example, the string 635 can only be grouped in one subgroup [635] or in two subgroups as follows: [635] (since 6 < 8.) Another example is the string 1117 which can be grouped in one subgroup [1117] or as in the following: [1117], [1117], [1117], [1117], [1117] and [1117] but not any more, hence the total number of possibilities is 7.
Write a program that computes the total number of possibilities of such groupings for a given string of digits.
Input
Your program will be tested on a number of test cases. Each test case is speciﬁed on a separate line. Each line contains a single string no longer than 25, and is made of decimal digits only.
The end of the test cases is identiﬁed by a line made of the word "bye" (without the quotes.) Such line is not part of the test cases.
Output
For each test case, write the result using the following format:
k. n
where k is the test case number (starting at 1,) and n is the result of this test case.
Example
Input: 635 1117 9876 bye Output: 1. 2 2. 7 3. 2
hide comments
manjeet_:
20180718 19:18:46
similar to this: https://www.spoj.com/problems/ROCK/ 

soham_12345:
20180616 10:19:29
Hey can anyone give any corner case? I tried many testcases including string length 25 and even compared it with actual output from spoj toolkit but WA. :(


waqar_ahmad224:
20180317 10:17:30
Nice one , solved using backtracking , AC in 1 go 

Divyam Shah:
20180214 06:49:39
There are no overlapping subproblems , hence it is not a DP problem. The tag is incorrect. 

shivam_2296:
20171225 18:12:03
AC in one go..!!


javafreak:
20171220 19:31:41
dp with bit  n^2 log(n) solution


amitboss:
20171209 15:18:22
very simple problem , just think recursion , no need of memorization


armageddon117:
20171114 14:05:33
bad problem/judge management, wasted time and too many TLEs :/


armageddon117:
20171114 13:52:55
30 random strings, all of length 25 took 0.006s on my machine, judge says TLE :/ 

aditya9125:
20170710 09:54:01
don't know about the strictness of the test cases but I used DP, and feeling even more confident than if I had solved it through recursion with memoization. 
Added by:  ~!(*(@*!@^& 
Date:  20090705 
Time limit:  1s2s 
Source limit:  50000B 
Memory limit:  1536MB 
Cluster:  Cube (Intel G860) 
Languages:  All except: ERL JSRHINO NODEJS PERL6 VB.NET 
Resource:  ANARC 2005 